org.apache.maven.artifact.repository

## Interface ArtifactRepository

All Known Implementing Classes:
  DefaultArtifactRepository

    public interface ArtifactRepository

Specifies the repository used for artifact handling.

Version:
  $Id: ArtifactRepository.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  Brett Porter

### Method Summary

Methods
`java.lang.String` `getBasedir()`
`java.lang.String` `getId()`
`java.lang.String` `getKey()`
`ArtifactRepositoryLayout` `getLayout()`
`java.lang.String` `getProtocol()`
`ArtifactRepositoryPolicy` `getReleases()`
`ArtifactRepositoryPolicy` `getSnapshots()`
`java.lang.String` `getUrl()`
`boolean` `isBlacklisted()`
`boolean` `isUniqueVersion()`
`java.lang.String` `pathOf(Artifact artifact)`
`java.lang.String` `pathOfLocalRepositoryMetadata(ArtifactMetadata metadata, ArtifactRepository repository)`
`java.lang.String` `pathOfRemoteRepositoryMetadata(ArtifactMetadata artifactMetadata)`
`void` `setBlacklisted(boolean blackListed)`

### Method Detail

#### pathOf

    java.lang.String pathOf(Artifact artifact)

#### pathOfRemoteRepositoryMetadata

    java.lang.String pathOfRemoteRepositoryMetadata(ArtifactMetadata artifactMetadata)

#### pathOfLocalRepositoryMetadata

    java.lang.String pathOfLocalRepositoryMetadata(ArtifactMetadata metadata,
                                                 ArtifactRepository repository)

#### getUrl

    java.lang.String getUrl()

#### getBasedir

    java.lang.String getBasedir()

#### getProtocol

    java.lang.String getProtocol()

#### getId

    java.lang.String getId()

#### getSnapshots

    ArtifactRepositoryPolicy getSnapshots()

#### getReleases

    ArtifactRepositoryPolicy getReleases()

#### getLayout

    ArtifactRepositoryLayout getLayout()

#### getKey

    java.lang.String getKey()

#### isUniqueVersion

    boolean isUniqueVersion()

#### setBlacklisted

    void setBlacklisted(boolean blackListed)

#### isBlacklisted

    boolean isBlacklisted()